NetBSD-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

wpi0: fatal firmware error

Hello fellow NetBSD users,

I have dabbled with NetBSD in VirtualBox for some time now and today I
decided to install NetBSD-amd64 version 6.1.2 on my Thinkpad T61 laptop.
The T61 comes with the Intel(R) PRO/Wireless 3945ABG wireless card - or
wpi, NetBSD seems to have the appropriate driver for it, and necessary
firmware is also made available(I used the wpi-firmware2-2.14.4 binary
package from pkgsrc). But, whenever I bring the interface up(ifconfig
wpi0 up), I get this error:

wpi0: fatal firmware error

I also tried the old firmware wpi-firmware-1.13, with no more success; I
get the same error.

Any ideas how to make this wireless card work?
Does anybody run NetBSD with this wifi card?

BTW, I have not configured dhcpd/dhclient or wpa_supplicant yet; I see
no reason to, first I need to get the firmware working.

Home | Main Index | Thread Index | Old Index